org.eclnt.jsfserver.defaultscreens

## Class ShowServerError

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.ShowServerError

- All Implemented Interfaces:
    java.io.Serializable

      public class ShowServerError
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShowServerError.SetBackErrorText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowServerError()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientErrorClass()`
    `java.lang.String` | `getClientErrorInfo()`
    `java.lang.String` | `getClientErrorText()`
    `java.lang.String` | `getText()`
    `java.lang.Throwable` | `getThrowable()`
    `void` | `onHideAllPopups(ActionEvent event)`
    `static void` | `passClientError(HttpSession session, java.lang.String clientErrorClass, java.lang.String clientErrorText)` Deprecated. this method does not work if using COOKIE for session tracking!
    `static void` | `passThrowable(java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShowServerError

          public ShowServerError()

  - ### Method Detail

    - #### onHideAllPopups

          public void onHideAllPopups(ActionEvent event)

    - #### getText

          public java.lang.String getText()

    - #### getThrowable

          public java.lang.Throwable getThrowable()

    - #### getClientErrorClass

          public java.lang.String getClientErrorClass()

    - #### getClientErrorText

          public java.lang.String getClientErrorText()

    - #### getClientErrorInfo

          public java.lang.String getClientErrorInfo()

    - #### passThrowable

          public static void passThrowable(java.lang.Throwable t)

    - #### passClientError

          @Deprecated
          public static void passClientError(HttpSession session,
                                                          java.lang.String clientErrorClass,
                                                          java.lang.String clientErrorText)

      Deprecated. this method does not work if using COOKIE for session tracking!

Copyright © CaptainCasa Gmbh. All Rights Reserved.